# not actually YAML but lets pretend:
# -*- mode: yaml -*-
# vim: ft=yaml


[global]
  # enable file indexing and filesystem scanning e2dsa
  # enable multimedia indexing e2ts
  # enable colors in log messages (both in logfiles and stdout) ansi
  
  # q, lo: /cfg/log/%Y-%m%d.log  # log to file instead of docker
  
  p: 3939		# listen on another port
  # ipa: 10.89.         # only allow connections from 10.19.*
  # ipa: 172.16.4.0/23  # ...or only 172.16.4.* and 172.16.5.*
  # ipa: lan            # ...or allow LAN only; reject internet IPs
  df: 16		# stop accepting uploads if less than 16 GB free
  # ver			# show copyparty version in the control panel
  # grid		# show thumbnails/grid-view by default
  # theme: 2		# monokai
  # name: datasaver     # change the server-name that's displayed in the browser
  # stats, nos-dup      # enable the prometheus endpoint, but disable the dupes counter (too slow)
  no-robots, force-js   # make it harder for search engines to read your server
  
  
[accounts]
  # Use format of: username: password
  admin: chclin74
  descending: Mr.WarshyNut
  
[/]
  /w
  accs:
    rwmda: admin
    
[/public]
  /w/public
  accs:
    r: *
    rw: descending
    
[/private]
  /w/private
  accs:
    rw: descending
    
[/drop]
  /w/drop
  flags:
  accs:
    w: *
    rwmda: descending
